name: Contact
description: ''
endpoints:
  -
    httpMethods:
      - POST
    uri: api/contact
    metadata:
      groupName: Contact
      groupDescription: ''
      subgroup: ''
      subgroupDescription: ''
      title: 'Envoie un email via le formulaire de contact.'
      description: ''
      authenticated: false
      custom: []
    headers:
      Content-Type: application/json
      Accept: application/json
    urlParameters: []
    cleanUrlParameters: []
    queryParameters: []
    cleanQueryParameters: []
    bodyParameters:
      name:
        name: name
        description: 'Nom de la personne qui contacte. Exemple: "Jean Dupont"'
        required: true
        example: consequatur
        type: string
        enumValues: []
        exampleWasSpecified: false
        nullable: false
        custom: []
      email:
        name: email
        description: 'Email valide de l''expéditeur. Exemple: "jean.dupont@example.com"'
        required: true
        example: qkunze@example.com
        type: string
        enumValues: []
        exampleWasSpecified: false
        nullable: false
        custom: []
      subject:
        name: subject
        description: 'Sujet du message. Exemple: "Demande d''information"'
        required: true
        example: consequatur
        type: string
        enumValues: []
        exampleWasSpecified: false
        nullable: false
        custom: []
      message:
        name: message
        description: 'Contenu du message. Exemple: "Bonjour, je souhaite obtenir plus de détails..."'
        required: true
        example: consequatur
        type: string
        enumValues: []
        exampleWasSpecified: false
        nullable: false
        custom: []
    cleanBodyParameters:
      name: consequatur
      email: qkunze@example.com
      subject: consequatur
      message: consequatur
    fileParameters: []
    responses:
      -
        status: 200
        content: |-
          {
            "message": "Email envoyé avec succès"
          }
        headers: []
        description: ''
        custom: []
      -
        status: 422
        content: |-
          {
            "message": "The given data was invalid.",
            "errors": {
              "email": ["The email must be a valid email address."],
              "name": ["The name field is required."]
            }
          }
        headers: []
        description: ''
        custom: []
      -
        status: 500
        content: |-
          {
            "error": "Erreur lors de l'envoi de l'email",
            "message": "Détails de l'erreur"
          }
        headers: []
        description: ''
        custom: []
    responseFields: []
    auth: []
    controller: null
    method: null
    route: null
    custom: []
